package com.vr4p.admin.vr4p_simple_demo;

import android.app.Application;
import android.content.Context;
import java.io.File;

import com.vr4p.admin.lib.VREngine;


public class MyApplication extends Application
{
    File fExtCacheDir;

    String          strExtCacheDir;

    public void onCreate()
    {
        super.onCreate();

        Context context = getApplicationContext();
        try
        {
            fExtCacheDir=context.getExternalCacheDir();
            if(!fExtCacheDir.exists())
                fExtCacheDir.mkdirs();
            strExtCacheDir = fExtCacheDir.getAbsolutePath();
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
        VREngine.InitVR4P(strExtCacheDir,context,getClassLoader());
        VREngine.RegLicense("660001201710120001","00000000000000000000000000000000");
        //正式合作后，官方会提供给你作为RegLicense的参数的授权编号，授权密码两串字符；
    }

    public void onTerminate()
    {
        VREngine.StopVRV();
        VREngine.UninitVR4P();
        super.onTerminate();
    }
}



